Package com.smartgwt.client.tools

# Class StyleSetting

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.StyleSetting

All Implemented Interfaces:
  `HasHandlers`

public class StyleSetting extends DataClass
An ordinary JavaScript object with properties that configure a setting for use in a `CSS-editor`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleSetting()`
  `StyleSetting(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAllowAsymmetry()`
  Can this setting be edited asymmetrically? For example, a border-setting can be applied to all sides at once, or asymmetrically to each side, as four separate border-settings.
  `FormItemType`
  `getDefaultEditorType()`
  The type of editor to use for this setting.
  `FormItem`
  `getEditorProperties()`
  FormItem properties to apply to editors for this setting.
  `String`
  `getGroupName()`
  Name of the `group` this setting will appear in for editing.
  `String`
  `getName()`
  Unique name that identifies this setting.
  `static StyleSetting`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getSettingName()`
  The CSS attribute name used when generating CSS from this item.
  `Boolean`
  `getShowAsymmetry()`
  If this setting allows `asymmetric editing`, should it be edited in that mode by default?
  `String`
  `getTitle()`
  Title for this setting when applied to a FormItem.
  `StyleSetting`
  `setAllowAsymmetry(Boolean allowAsymmetry)`
  Can this setting be edited asymmetrically? For example, a border-setting can be applied to all sides at once, or asymmetrically to each side, as four separate border-settings.
  `StyleSetting`
  `setDefaultEditorType(FormItemType defaultEditorType)`
  The type of editor to use for this setting.
  `StyleSetting`
  `setEditorProperties(FormItem editorProperties)`
  FormItem properties to apply to editors for this setting.
  `StyleSetting`
  `setGroupName(String groupName)`
  Name of the `group` this setting will appear in for editing.
  `StyleSetting`
  `setName(String name)`
  Unique name that identifies this setting.
  `StyleSetting`
  `setSettingName(String settingName)`
  The CSS attribute name used when generating CSS from this item.
  `StyleSetting`
  `setShowAsymmetry(Boolean showAsymmetry)`
  If this setting allows `asymmetric editing`, should it be edited in that mode by default?
  `StyleSetting`
  `setTitle(String title)`
  Title for this setting when applied to a FormItem.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StyleSetting

    public StyleSetting()

  - ### StyleSetting

    public StyleSetting(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static StyleSetting getOrCreateRef(JavaScriptObject jsObj)

  - ### setAllowAsymmetry

    public StyleSetting setAllowAsymmetry(Boolean allowAsymmetry)
    Can this setting be edited asymmetrically? For example, a border-setting can be applied to all sides at once, or asymmetrically to each side, as four separate border-settings.
    Parameters:
      `allowAsymmetry` - New allowAsymmetry value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getAllowAsymmetry

    public Boolean getAllowAsymmetry()
    Can this setting be edited asymmetrically? For example, a border-setting can be applied to all sides at once, or asymmetrically to each side, as four separate border-settings.
    Returns:
      Current allowAsymmetry value. Default value is null

  - ### setDefaultEditorType

    public StyleSetting setDefaultEditorType(FormItemType defaultEditorType)
    The type of editor to use for this setting.
    Parameters:
      `defaultEditorType` - New defaultEditorType value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getDefaultEditorType

    public FormItemType getDefaultEditorType()
    The type of editor to use for this setting.
    Returns:
      Current defaultEditorType value. Default value is null

  - ### setEditorProperties

    public StyleSetting setEditorProperties(FormItem editorProperties)
    FormItem properties to apply to editors for this setting.
    Parameters:
      `editorProperties` - New editorProperties value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getEditorProperties

    public FormItem getEditorProperties()
    FormItem properties to apply to editors for this setting.
    Returns:
      Current editorProperties value. Default value is null

  - ### setGroupName

    public StyleSetting setGroupName(String groupName)
    Name of the `group` this setting will appear in for editing.
    Parameters:
      `groupName` - New groupName value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getGroupName

    public String getGroupName()
    Name of the `group` this setting will appear in for editing.
    Returns:
      Current groupName value. Default value is null

  - ### setName

    public StyleSetting setName(String name)
    Unique name that identifies this setting.
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getName

    public String getName()
    Unique name that identifies this setting.
    Returns:
      Current name value. Default value is null

  - ### setSettingName

    public StyleSetting setSettingName(String settingName)
    The CSS attribute name used when generating CSS from this item. Rarely used to override the default behavior of using the `name`.
    Parameters:
      `settingName` - New settingName value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getSettingName

    public String getSettingName()
    The CSS attribute name used when generating CSS from this item. Rarely used to override the default behavior of using the `name`.
    Returns:
      Current settingName value. Default value is null

  - ### setShowAsymmetry

    public StyleSetting setShowAsymmetry(Boolean showAsymmetry)
    If this setting allows `asymmetric editing`, should it be edited in that mode by default?
    Parameters:
      `showAsymmetry` - New showAsymmetry value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getShowAsymmetry

    public Boolean getShowAsymmetry()
    If this setting allows `asymmetric editing`, should it be edited in that mode by default?
    Returns:
      Current showAsymmetry value. Default value is null

  - ### setTitle

    public StyleSetting setTitle(String title)
    Title for this setting when applied to a FormItem.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `StyleSetting` instance, for chaining setter calls

  - ### getTitle

    public String getTitle()
    Title for this setting when applied to a FormItem.
    Returns:
      Current title value. Default value is null